Execute a contract deployment method
POST /v2/contract/deployment/{id}/call
POST
/v2/contract/deployment/{id}/call
Execute a method on a specific contract deployment.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The deployment ID to call
Request Body required
Section titled “Request Body required ”object
methodName
required
The method name
string
transfer paramCollection
required
The parameters for the method
Array<string>
[ "0x123...", "100"] walletId
required
The wallet ID to sign with
string format: uuid
12345678-1234-1234-1234-123456789012 isShared
Whether the deployment is shared, only allowed for FSCO
boolean
Responses
Section titled “ Responses ”The call result
object
txReceipt
required
The transaction receipt id
string
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error